summaryrefslogtreecommitdiffstats
path: root/tests/msgmerge-4
diff options
context:
space:
mode:
Diffstat (limited to 'tests/msgmerge-4')
-rwxr-xr-xtests/msgmerge-465
1 files changed, 65 insertions, 0 deletions
diff --git a/tests/msgmerge-4 b/tests/msgmerge-4
new file mode 100755
index 0000000..63c0551
--- /dev/null
+++ b/tests/msgmerge-4
@@ -0,0 +1,65 @@
+#! /bin/sh
+
+trap 'rm -fr $tmpfiles' 1 2 3 15
+
+tmpfiles="mm-test4.in1.po mm-test4.in2.po"
+cat <<EOF > mm-test4.in1.po
+msgid "one"
+msgstr "eins"
+# This comment should be copied.
+msgid "two"
+msgstr "zwei"
+
+
+# And this one, too.
+#~ msgid "four"
+#~ msgstr "vier"
+EOF
+
+cat <<EOF > mm-test4.in2.po
+msgid "one"
+msgstr ""
+# This is a comment in the POT file.
+msgid "three"
+msgstr ""
+EOF
+
+tmpfiles="$tmpfiles mm-test4.out"
+: ${MSGMERGE=msgmerge}
+${MSGMERGE} -q mm-test4.in1.po mm-test4.in2.po -o mm-test4.out
+
+tmpfiles="$tmpfiles mm-test4.ok"
+cat <<EOF > mm-test4.ok
+msgid "one"
+msgstr "eins"
+
+# This is a comment in the POT file.
+msgid "three"
+msgstr ""
+
+# This comment should be copied.
+#~ msgid "two"
+#~ msgstr "zwei"
+
+# And this one, too.
+#~ msgid "four"
+#~ msgstr "vier"
+EOF
+
+: ${DIFF=diff}
+${DIFF} mm-test4.ok mm-test4.out
+result=$?
+
+rm -fr $tmpfiles
+
+exit $result
+
+# Preserve executable bits for this shell script.
+# Thanks to Noah Friedman for this great trick.
+Local Variables:
+eval:(defun frobme () (set-file-modes buffer-file-name file-mode))
+eval:(make-local-variable 'file-mode)
+eval:(setq file-mode (file-modes (buffer-file-name)))
+eval:(make-local-variable 'after-save-hook)
+eval:(add-hook 'after-save-hook 'frobme)
+End: